Bug 1297632 - [abrt] gedit: get_display_name_from_file_list(): gedit killed by SIGABRT
[abrt] gedit: get_display_name_from_file_list(): gedit killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e54387bd51f0ce3f1959f4e5239...
:
: 1289041 1294332 1294681 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 23:34 EST by Sean Morgan
Modified: 2016-12-20 12:48 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.36 KB, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: core_backtrace (6.58 KB, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: dso_list (13.03 KB, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: environ (842 bytes, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: maps (58.01 KB, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: mountinfo (3.36 KB, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: open_fds (1.52 KB, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details
File: var_log_messages (284 bytes, text/plain)
2016-01-11 23:34 EST, Sean Morgan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 761757 None None None 2016-02-09 06:31 EST

  None (edit)
Description Sean Morgan 2016-01-11 23:34:09 EST
Version-Release number of selected component:
gedit-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: get_display_name_from_file_list
executable:     /usr/bin/gedit
global_pid:     17588
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #4 get_display_name_from_file_list at gtkfilechooserwidget.c:6280
 #5 gtk_file_chooser_widget_should_respond at gtkfilechooserwidget.c:6824
 #6 response_cb at gtkfilechooserdialog.c:660
 #11 _g_closure_invoke_va at gclosure.c:864
 #14 button_activate_timeout at gtkbutton.c:2038
 #20 g_main_context_iteration at gmain.c:3901
 #21 g_application_run at gapplication.c:2311
Comment 1 Sean Morgan 2016-01-11 23:34:12 EST
Created attachment 1113838 [details]
File: backtrace
Comment 2 Sean Morgan 2016-01-11 23:34:13 EST
Created attachment 1113839 [details]
File: cgroup
Comment 3 Sean Morgan 2016-01-11 23:34:14 EST
Created attachment 1113840 [details]
File: core_backtrace
Comment 4 Sean Morgan 2016-01-11 23:34:16 EST
Created attachment 1113841 [details]
File: dso_list
Comment 5 Sean Morgan 2016-01-11 23:34:19 EST
Created attachment 1113842 [details]
File: environ
Comment 6 Sean Morgan 2016-01-11 23:34:20 EST
Created attachment 1113843 [details]
File: limits
Comment 7 Sean Morgan 2016-01-11 23:34:22 EST
Created attachment 1113844 [details]
File: maps
Comment 8 Sean Morgan 2016-01-11 23:34:23 EST
Created attachment 1113845 [details]
File: mountinfo
Comment 9 Sean Morgan 2016-01-11 23:34:24 EST
Created attachment 1113846 [details]
File: namespaces
Comment 10 Sean Morgan 2016-01-11 23:34:25 EST
Created attachment 1113847 [details]
File: open_fds
Comment 11 Sean Morgan 2016-01-11 23:34:26 EST
Created attachment 1113848 [details]
File: proc_pid_status
Comment 12 Sean Morgan 2016-01-11 23:34:27 EST
Created attachment 1113849 [details]
File: var_log_messages
Comment 13 Adam Williamson 2016-01-13 18:38:09 EST
I just hit this. It seems like an especially nasty bug, because it can cause data loss.

What happened was that I wanted to save a document. I chose the directory I wanted to go in, and was trying to type the file name I wanted it to have. For some reason, GTK+ decided I was typing a search string within the list of existing files in the directory - I don't know exactly what happened there, it's certainly not what I wanted. I then changed focus to the filename text entry box and typed the desired file name again, but I couldn't save, because the Save button isn't available when there's a search active and it returns no results(?), which seems like a bug in itself.

So I switched back to the search text entry, blanked it out, and hit enter; this did not clear the search and return the full file list, which seems like *another* bug in itself. So I typed a single space character and pressed enter (which is my usual trick for fixing recalcitrant search boxes), then tried to go back to the filename text entry box. At some point there, the crash happened.

So I got the frustration of a misbehaving save dialog, and then I lost the notes I just spent a half hour writing. Great.
Comment 14 Juergen 2016-02-06 12:21:12 EST
Another user experienced a similar problem:

Hello,
the crash happened to my NAS while saving a text about " SAMBA ".
Since upgrading from Fedora 22 to Fedora 23 I can " gedit " text in newly created not
save on my NAS. It appears the attached error message.
thank you
Jürgen
(Excuse for my bad English, it is the result of a translator's programme)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: get_display_name_from_file_list
executable:     /usr/bin/gedit
global_pid:     16865
kernel:         4.3.3-303.fc23.x86_64
package:        gedit-3.18.3-1.fc23
reason:         gedit killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Juergen 2016-02-07 11:16:46 EST
Hello,
since today storing away an anew provided text functions in "gedit" on my NAS again.
Unfortunately, the cause is not known to me. After problems with gnome and next Updats this problem is removed.
Thanks
Jürgen 
(Excuse for my bad English, it is the result of a translator's programme)
Comment 16 Christophe Fergeau 2016-02-09 05:41:00 EST
*** Bug 1289041 has been marked as a duplicate of this bug. ***
Comment 17 Christophe Fergeau 2016-02-09 05:57:24 EST
*** Bug 1294332 has been marked as a duplicate of this bug. ***
Comment 18 Christophe Fergeau 2016-02-09 06:01:42 EST
*** Bug 1294681 has been marked as a duplicate of this bug. ***
Comment 19 Christophe Fergeau 2016-02-09 06:05:48 EST
Moving to gtk+ as this can be reproduced in filechooser dialogs in various applications.

Steps I use to reproduce:
- mkdir ~/test
- touch ~/test/foo
- start gedit
- press save button
- navigate to ~/test
- click on 'foo' in the file list
- type 'foo' to trigger the search bar
- click in the toplevel 'name' text entry
- type 'bar'
  -> the save button becomes grayed out
- click on 'foo' in the file list
- press the save button
  -> crash
Comment 20 Fedora End Of Life 2016-11-24 09:51:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2016-12-20 12:48:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.